@charset "iso-8859-1";

/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    01 - IMPORT DES FONTS
    02 - REGLES DE BASE
*/



/* ---------------------------------------------
  01 - IMPORT DES FONTS
--------------------------------------------- */

/* @info : Gérer dans \views\atomic-design\00-root\font-face.html.twig pour récupérer les valeurs du BO */



/* ---------------------
  02 - RÈGLES DE BASE
--------------------- */

*, *::before, *::after {
    box-sizing: border-box;
}

html {
	font-size: 62.5%;
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body {
    background-color: var(--white);
    color: var(--black);
    font-family: var(--ff-primary);
    font-size: 1.6rem;
    line-height: 1.2;
    /* @changelog 2025-03-25 [FIX] (Nicolas) Masquage car empêche l'utilisation de p-sticky */
    /* overflow-x: hidden; */
    scroll-behavior: smooth;
}

body > .page {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

    /* Connecté au BO */
    body.admin-bar > .page {
        min-height: calc(100vh - 32px);
    }

/* @changelog 2024-04-17 [FIX] (Nicolas) Surcharge la règle native de Wordpress */
#wpadminbar {
    position: fixed;
}

main {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.main-content {
    flex-grow: 1;
}

img {
    max-width: 100%;
}
